%define oname	terminatorX

Name:		terminatorx
Summary:	Realtime audio synthesizer
Version:	4.0.1
Release:	%mkrel 4
Group:		Sound/Utilities
License:	GPLv2
Url:		https://terminatorx.org/
Source0:	https://terminatorx.org/dist/terminatorX-%{version}.tar.gz
BuildRequires:	ladspa-devel
BuildRequires:	mpg123
BuildRequires:	sox
BuildRequires:	vorbis-tools
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(lrdf)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(xxf86dga)
Requires:	mpg123
Requires:	sox
Requires:	vorbis-tools
Recommends:	ladspa

%description
terminatorX allows “scratching” on digitally sampled audio data (*.wav, *.au,
*.ogg, *.mp3, etc.) the way hiphop-DJs scratch on vinyl records. It features
multiple turntables, realtime effects (buit-in as well as LADSPA plugin
effects), a sequencer and MIDI interface – all accessible through an
easy-to-use gtk+ GUI.

%prep
%setup -qn %{oname}-%{version}

%build
%configure --disable-scrollkeeper

%make_build

%install
%make_install

%files
%{_bindir}/terminatorX
%{_datadir}/applications/terminatorX.desktop
%{_datadir}/gnome/help/terminatorX-manual/
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/terminatorX.1.*
%{_datadir}/mime-info/terminatorX.*
%{_datadir}/omf/terminatorX-manual/terminatorX-manual-C.omf
%{_datadir}/appdata/terminatorX.appdata.xml
%{_datadir}/pixmaps/terminatorX.xpm


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 4.0.1-4.mga8
+ Revision: 1522312
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 23 2019 daviddavid <daviddavid> 4.0.1-3.mga7
+ Revision: 1360365
- disable scrollkeeper support

* Sun Sep 23 2018 umeabot <umeabot> 4.0.1-2.mga7
+ Revision: 1301385
- Mageia 7 Mass Rebuild

* Sun Sep 11 2016 daviddavid <daviddavid> 4.0.1-1.mga6
+ Revision: 1051439
- new version: 4.0.1
- change from gtk2 to gtk3
- add BRs pulseaudio-devel and libcap-devel

* Sun Jan 31 2016 umeabot <umeabot> 3.90-5.mga6
+ Revision: 929522
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.90-4.mga5
+ Revision: 750329
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.90-3.mga5
+ Revision: 730610
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.90-2.mga5
+ Revision: 689832
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Feb 17 2014 wally <wally> 3.90-1.mga5
+ Revision: 593960
- imported package terminatorx

